<template>
  <div class="container">
    <h1>Список команд лиги</h1>
    <router-link :to="{ name: 'Fixtures' }">
      <button>Вернуться в календарь лиги</button>
    </router-link>
    <br />
    <p>Выбирите сезон</p>
    <Seasons @seasonChanged="onSeasonChanged" :selectedSeason="season" />
    <div class="search_content">
      <div class="search">
        <input
          type="text"
          class="search-field"
          placeholder="Введите имя команды"
          v-model="search"
        />
        <img
          src="https://image.flaticon.com/icons/svg/49/49116.svg"
          alt=""
          class="search-icon"
        />
      </div>
      <hr />
      <ul>
        <li v-for="team in searchHandler" :key="team.id">
          {{ team.name }}
          <img id="" :src="team.logo" alt="" />
        </li>
      </ul>
    </div>
  </div>
</template>

<script>
import Seasons from "./Seasons.vue";
export default {
  components: { Seasons },
  data() {
    return {
      teams: [],
      leagueId: null,
      seasonId: null,
      season: null,
      search: "",
    };
  },
  mounted() {
    this.leagueId = this.$route.params.id;
    this.seasonId = this.$route.params.season;
    this.getTeams();
  },
  methods: {
    onSeasonChanged(event) {
      let params = this.$route.params;
      params["season"] = event;
      this.$router
        .push({ name: this.$route.name, params: params })
        .catch(() => {});
      this.seasonId = event;
      this.getTeams();
    },
    getTeams() {
      const url = `https://v3.football.api-sports.io/teams?league=${this.leagueId}&season=${this.seasonId}`;
      fetch(url, {
        method: "GET",
        headers: {
          "x-rapidapi-host": "v3.football.api-sports.io",
          "x-rapidapi-key": process.env.VUE_APP_API_KEY,
        },
      })
        .then((response) =>
          response.json().then((data) => {
            this.teams = data.response.map((item) => {
              return item.team;
            });
          })
        )
        .catch((err) => {
          console.log(err);
        });
    },
  },
  computed: {
    searchHandler() {
      return this.teams.filter((elm) => {
        return elm.name.toLowerCase().includes(this.search);
      });
    },
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
@import url("https://fonts.googleapis.com/css2?family=Roboto");

* {
  margin: 0;
  padding: 0;
  outline: 0;
  font-family: "Roboto", sans-serif;
  text-align: center;
}

body {
  height: 100vh;
}

.container {
  position: relative;
  padding: 16px;
  top: 15%;
  left: 25%;
  width: 50%;
  background-color: #fafafa;
  text-align: center;
  border-radius: 4px;
  text-transform: uppercase;
  text-align: center;
}

.container h1 {
  margin-bottom: 50px;
}
.search {
  margin-bottom: 15px;
  display: inline-flex;
  border: 1px solid black;
  border-radius: 30px;
  padding: 10px;
  background-color: white;
}
.search-icon {
  width: 20px;
  height: 20px;
  margin-right: 10px;
  order: -1;
}

.search-field {
  width: 180px;
  border: 0;
}

.search-field:focus {
  outline: none;
}

.container ul {
  margin-top: 40px;
  list-style: none;
  text-transform: uppercase;
}
.container ul li img {
  height: 54px;
  width: 54px;
  align-items: center;
  margin-right: 10px;
}
.container p {
  text-transform: initial;
  margin-top: 15px;
}
.container button{
  cursor: pointer;
}
</style>
